Page MenuHomePhabricator

A missing template (i.e. SL copy of the EN template - ?) freezes the translation
Closed, ResolvedPublic

Description

I use Wikipedia Translation to translate the EN histology page to Slovenian. The translation process turns the Slovenian side into a practically Read-only mode, i.e. editing is not possible.

The reason for this must be the the help template ('''Histology'''{{refn|name=help|group=help|....) that afaik has no counterpart in the Slovenian wikipedia. This seems to be a generic problem with other language pairs as well. cf Talk page for content translation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2017, 10:43 AM

It's not necessarily missing. It actually exists at https://sl.wikipedia.org/wiki/Predloga:Sklicop .

I do see something else here, however. To reproduce:

  • Try translating Alexander Graham Bell to Slovenian (code sl).
  • Translate the first paragraph, which includes the [N 3] note.
  • Observe:
  • Loading bouncing ball indicators don't d
  • There's a JavaScript error: ReferenceError: mwCustomEditButtons is not defined

With @Nikerabbit's help I found that this is a local problem in the Slovenian Wikipedia. See https://sl.wikipedia.org/wiki/Pogovor_o_MediaWiki:Common.js#Gumbi . A Slovenian Wikipedia administrator will be able to fix it. After it's fixed, this shouldn't happen any more.

Amire80 closed this task as Resolved.Jun 27 2017, 4:53 PM
Amire80 claimed this task.
Amire80 triaged this task as Low priority.
Amire80 moved this task from Bugs to Apr.–June 2017 on the ContentTranslation board.

This is fixed now. I tested this template and it is loaded in translation without errors. Can you please try completing the translation?

SmozBleda reopened this task as Open.EditedAug 3 2017, 5:36 PM

I am re-opening the issue. Reason:

The automated translation of histology does not freeze up any more. However, the request to create the target translation causes (the familiar) error

Publishing the translation elicited an error. Please try again. The error: Error converting HTML to wikitext: docserver-http: HTTP 400

Now it is a different kind of an animal: the source and target are fine when working within the translator frame - the translator side was frozen before the fix(es) above. It is just the final "create wiki page" button click that bombs without even trying to create or recreate the target page.

see my histology translation:
https://sl.wikipedia.org/wiki/Special:ContentTranslation?page=User%3ASmozBleda%2FHistologijaEn&from=en&to=sl&targettitle=Uporabnik%3ASmozBleda%2FHistologija4&revision=773940920

The same error comes up when test-translating (one sentence of) Alexander Graham bell:

Pri objavi prevoda je prišlo do napake. Prosimo, poskusi ponovno. Napaka: Error converting HTML to wikitext: docserver-http: HTTP 400

https://sl.wikipedia.org/wiki/Special:ContentTranslation?page=Alexander+Graham+Bell&from=en&to=sl&targettitle=Alexander+Graham+Ball

Arrbee added a subscriber: Arrbee.Oct 27 2017, 9:04 AM

The issue about docserver error is being now taken care in T154116 . I am closing this ticket as the original issue has been fixed. Thanks.

Arrbee closed this task as Resolved.Oct 27 2017, 9:08 AM